Bug 1125162 - [Doc Bug Fix] Mention the jvm architecture switch
Summary: [Doc Bug Fix] Mention the jvm architecture switch
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: post-GA
: EAP 6.4.2
Assignee: Priyanka Nag
QA Contact: Petr Kremensky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 08:32 UTC by Petr Kremensky
Modified: 2015-10-20 12:44 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22510, Installation Guide-6.3-1 Build Date: 29-07-2014 14:05:59 Topic ID: 30613-675223 [Specified]
Last Closed: 2015-10-20 12:44:47 UTC
Type: Bug
dmichael: needinfo-


Attachments (Terms of Use)

Description Petr Kremensky 2014-07-31 08:32:56 UTC
Title: Run the JBoss EAP Installation Program

Describe the issue:
On Linux and Windows the jvm architecture is associated with current jdk instance (cannot use -d32 switch on 64-bit jdk instance), however on Solaris and HP-UX user have to explicitly specify required architecture by -d32/-d64 switch. This could be problem on HP-UX as we support only 64-bit mode. Installer started by default 'java -jar <installer>' command wouldn't offer user to install native packs, as 32-bit HP-UX is not supported. User have to start installer by 'java -jar -d64 <iinstaller>' command so the native packs are correctly offer.

Suggestions for improvement:
We should mention the usage of -d32/-d64 switches in Installation guide.

Comment 1 Petr Kremensky 2014-07-31 08:38:17 UTC
FYI

Taken from http://www.oracle.com/technetwork/java/hotspotfaq-138619.html 
...
The options -d32 and -d64 have been added to the Java launcher to specify whether the program is to be run in a 32 or 64-bit environment. On Solaris these correspond to the ILP32 and LP64 data models, respectively. Since Solaris has both a 32 and 64-bit J2SE implementation contained within the same installation of Java, you can specify either version. If neither -d32 nor -d64 is specified, the default is to run in a 32-bit environment.
Other Java commands (javac, javadoc, etc.) will rarely need to be executed in a 64-bit environment. However, the -d32/-d64 options may be passed to these commands and then on to the Java launcher using the established -J prefix option (eg: -J-d64).
All other platforms (Windows and Linux) contain separate 32 and 64-bit installation packages. If both packages are installed on a system, you select one or the other by adding the appropriate "bin" directory to your path. For consistency, the Java implementations on Linux accept the -d64 option.

Comment 8 Petr Kremensky 2015-08-04 06:23:34 UTC
Verified during eap-640-postGA-bulk4-docs check
Revision 6.4.0-35


Note You need to log in before you can comment on or make changes to this bug.